# DataExchange
TKSTEP
STEPSelections

# STEPSelections_SelectAssembly Class Reference

`#include <STEPSelections_SelectAssembly.hxx>`

Inheritance diagram for STEPSelections_SelectAssembly:

[legend]

## Public Member Functions

Standard_EXPORT | STEPSelections_SelectAssembly ()
Standard_EXPORT Standard_Boolean | Explore (const Standard_Integer level, const Handle(Standard_Transient)&ent, const Interface_Graph &G, Interface_EntityIterator &explored) const
| Explores an entity, to take its faces Works recursively .
Standard_EXPORT TCollection_AsciiString | ExploreLabel () const
| Returns a text defining the criterium : "Assembly structures" .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT STEPSelections_SelectAssembly::STEPSelections_SelectAssembly | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Boolean STEPSelections_SelectAssembly::Explore | ( | const Standard_Integer | level,
|  | const Handle(Standard_Transient)& | ent,
|  | const Interface_Graph & | G,
|  | Interface_EntityIterator & | explored
| ) | const`[virtual]`

| Implements IFSelect_SelectExplore.

Standard_EXPORT TCollection_AsciiString STEPSelections_SelectAssembly::ExploreLabel | ( |  | ) | const`[virtual]`

| Implements IFSelect_SelectExplore.

Standard_EXPORT const STEPSelections_SelectAssembly::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IFSelect_SelectExplore.

The documentation for this class was generated from the following file:

- STEPSelections_SelectAssembly.hxx